import { jsx } from "react/jsx-runtime";
import { SchemaInitializerItemGroup } from "../../../application/schema-initializer/index.mjs";
import { getInitializerItemsByFields, useCollectionFieldContext } from "../utils/index.mjs";
const SelfFields = (props)=>{
    const callbackContext = useCollectionFieldContext();
    const { t, collection } = callbackContext;
    const fields = collection.getFields();
    const children = getInitializerItemsByFields(props, fields, callbackContext);
    return /*#__PURE__*/ jsx(SchemaInitializerItemGroup, {
        title: t('Display fields'),
        children: children
    });
};
export { SelfFields };
